IARRAY_GET_DATA_RANGE(3)

EXPERIMENTAL_FUNC
iarray_get_data_range - Get the range of data in an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_get_data_range

(iarray array, double *minimum, double *maximum)

DESCRIPTION
This routine will determine the range of data in an Intelligent Array. Range information should be attached to the header.

array
    The array.

minimum
    The minimum value will be written here. The name of the minimum value is constructed by appending "__MINIMUM" to the element name. If no minimum value is found, -TOOBIG is written here. As a fallback, if the FITS-style "DATAMIN" keyword is found and is appropriate, this is used.

maximum
    The minimum value will be written here. The name of the minimum value is constructed by appending "__MINIMUM" to the element name. If no minimum value is found, TOOBIG is written here. As a fallback, if the FITS-style "DATAMAX" keyword is found and is appropriate, this is used.

RETURN VALUE
TRUE if either the minimum or maximum value were found, else FALSE

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/